Skip to main content

Get user by ID

Retrieve a user by their unique identifier. Only the authenticated user can access their own user information.

Path Parameters
id string — REQUIRED

Unique identifier of the user.

Example: 123e4567-e89b-12d3-a456-426614174000

Responses
200

The user with the specified ID.

Schema — OPTIONAL
id string
name string — OPTIONAL
email string — OPTIONAL
type string — OPTIONAL

Possible values: [app, user, team, report]

role string — OPTIONAL

Possible values: [admin, user, observer, service]

json string — OPTIONAL
version string — OPTIONAL
active boolean — OPTIONAL
assetCreatedDate date-time — OPTIONAL
assetUpdatedDate date-time — OPTIONAL
createdTime int64 — OPTIONAL
updatedTime int64 — OPTIONAL
createdBy string — OPTIONAL
updatedBy string — OPTIONAL
owner string — OPTIONAL
tags string[] — OPTIONAL
404

User with the specified ID not found or not authorized.